<!-- Zone concernant le menu -->
<section id="globalMenuSection">
  <div class="menu">
    <div class="toggle">
      <ion-icon name="menu-outline"></ion-icon>
    </div>
    <li style="--i:0;" aria-disabled="true" title="Fonctionnalité pour la prochaine version du site">
      <a data-bs-toggle="offcanvas" href="#settingsSession" id="settingsIconButton" aria-controls="settingsSession">
        <ion-icon name="settings-outline"></ion-icon>
      </a>
    </li>
    <li style="--i:1;">
      <a data-bs-toggle="offcanvas" href="#usersList" id="usersIconButton" aria-controls="usersList">
        <ion-icon name="person-outline"></ion-icon>
      </a>
    </li>
    <!--<li style="--i:2;">
      <a data-bs-toggle="offcanvas" href="#usersList" id="chatIconButton" role="button" aria-controls="usersList">
        <ion-icon name="chatbubble-ellipses-outline"></ion-icon>
      </a>
    </li>-->
    <li style="--i:2;">
      <a href="#problematicModal" data-bs-toggle="modal">
        <ion-icon name="help-outline"></ion-icon>
      </a>
    </li>
    <li style="--i:3;">
      <a href="#brainstormingModal" data-bs-toggle="modal">
        <ion-icon name="information-outline"></ion-icon>
      </a>
    </li>
  </div>

  <!-- Modal qui affiche les paramètres de la session (uniquement accessibles pour le coach) -->
  <section>
    <div class="offcanvas offcanvas-start" tabindex="-1" id="settingsSession" aria-labelledby="settingsSessionLabel">
      <div class="offcanvas-header">
        <h5 class="offcanvas-title" id="settingsSessionLabel">Configuration de la session</h5>
        <button type="button" class="btn-close text-reset" data-bs-dismiss="offcanvas" aria-label="Close"></button>
      </div>
      <div class="offcanvas-body">
        <section id="settings">
          <section id="mode" class="formZones">
            <h6>Mode<ion-icon name="help-circle-outline"></ion-icon>
            </h6>
            <form>
              <div class="form-check form-switch" id="modeChoiceDiv">
                <label class="form-check-label" for="flexSwitchCheckDefault" id="manuel">Manuel</label>
                <input class="form-check-input" type="checkbox" role="switch" id="flexSwitchCheckDefault">
                <label class="form-check-label" for="flexSwitchCheckDefault" id="automatique">Automatique</label>
              </div>
            </form>
          </section>
          <hr>
          <section class="formZones">
            <h6>Gestion des timers<ion-icon name="help-circle-outline"></ion-icon>
            </h6>
            <form>
              <div class="selectZone">
                <label>Idée audacieuse/proposition :</label>
                <select class="form-select" aria-label="Timer pour idées audacieuses">
                  <option value="1">1</option>
                  <option value="2">2</option>
                  <option value="3">3</option>
                  <option value="4">4</option>
                  <option value="5" selected>5</option>
                  <option value="6">6</option>
                  <option value="7">7</option>
                  <option value="8">8</option>
                  <option value="9">9</option>
                  <option value="10">10</option>
                  <option value="11">11</option>
                  <option value="12">12</option>
                  <option value="13">13</option>
                  <option value="14">14</option>
                  <option value="15">15</option>
                  <option value="16">16</option>
                  <option value="17">17</option>
                  <option value="18">18</option>
                  <option value="19">19</option>
                  <option value="20">20</option>
                </select>
                <span>minutes.</span>
              </div>

              <br>

              <div class="selectZone">
                <label>Cycle d'échanges/évaluations :</label>
                <select class="form-select" aria-label="Nombre de cycles d'échanges">
                  <option value="1">1</option>
                  <option value="2">2</option>
                  <option value="3" selected>3</option>
                  <option value="4">4</option>
                  <option value="5">5</option>
                  <option value="6">6</option>
                  <option value="7">7</option>
                  <option value="8">8</option>
                  <option value="9">9</option>
                  <option value="10">10</option>
                  <option value="11">11</option>
                  <option value="12">12</option>
                  <option value="13">13</option>
                  <option value="14">14</option>
                  <option value="15">15</option>
                  <option value="16">16</option>
                  <option value="17">17</option>
                  <option value="18">18</option>
                  <option value="19">19</option>
                  <option value="20">20</option>
                </select>
                <span>minutes.</span>
              </div>

              <br>

              <div class="selectZone">

                <label>Conclusion du brainstorming :</label>
                <select class="form-select" aria-label="Timer pour conclusion du brainstorming">
                  <option value="1">1</option>
                  <option value="2">2</option>
                  <option value="3">3</option>
                  <option value="4">4</option>
                  <option value="5">5</option>
                  <option value="6">6</option>
                  <option value="7">7</option>
                  <option value="8">8</option>
                  <option value="9">9</option>
                  <option value="10">10</option>
                  <option value="11">11</option>
                  <option value="12" selected>12</option>
                  <option value="13">13</option>
                  <option value="14">14</option>
                  <option value="15">15</option>
                  <option value="16">16</option>
                  <option value="17">17</option>
                  <option value="18">18</option>
                  <option value="19">19</option>
                  <option value="20">20</option>
                  <option value="21">21</option>
                  <option value="22">22</option>
                  <option value="23">23</option>
                  <option value="24">24</option>
                  <option value="25">25</option>
                  <option value="26">26</option>
                  <option value="27">27</option>
                  <option value="28">28</option>
                  <option value="29">29</option>
                  <option value="30">30</option>
                </select>
                <span>minutes.</span>
              </div>
            </form>
          </section>
          <hr>
          <section class="formZones">
            <h6>Phases<ion-icon name="help-circle-outline"></ion-icon>
            </h6>
            <form>
              <div class="selectZone">
                <label>Phase(s) d'échanges/évaluations :</label>
                <select class="form-select" aria-label="Nombre de phase(s) d'échanges/évaluations">
                  <option value="1">1</option>
                  <option value="2">2</option>
                  <option value="3" selected>3</option>
                  <option value="4">4</option>
                  <option value="5">5</option>
                  <option value="6">6</option>
                  <option value="7">7</option>
                  <option value="8">8</option>
                  <option value="9">9</option>
                  <option value="10">10</option>
                  <option value="11">11</option>
                  <option value="12">12</option>
                  <option value="13">13</option>
                  <option value="14">14</option>
                  <option value="15">15</option>
                  <option value="16">16</option>
                  <option value="17">17</option>
                  <option value="18">18</option>
                  <option value="19">19</option>
                  <option value="20">20</option>
                </select>
              </div>
            </form>
          </section>
          <hr>
          <section class="formZones">
            <h6>Système de notation<ion-icon name="help-circle-outline"></ion-icon>
            </h6>
            <form>
              <div class="selectZone">
                <select class="form-select" aria-label="Choix du système de notation" id="notes">
                  <option selected>Sélectionner le type de notation</option>
                  <option value="1">Classique (note sur 5)</option>
                  <option value="2">Jugement majoritaire</option>
                </select>
              </div>
            </form>
          </section>
          <section id="finalSettingsSection">
            <div>
              <button type="button" class="btn btn-danger" routerLink="/accueil">Fin de la session</button>
            </div>
            <div>
              <a href="#">
                <ion-icon id="downloadButton" name="download-outline"></ion-icon>
              </a>
            </div>
          </section>
        </section>
      </div>
    </div>
  </section>

  <!-- Modal qui affiche la liste des participants (checked) + chat -->
  <section>
    <div class="offcanvas offcanvas-start" tabindex="-1" id="usersList" aria-labelledby="usersListLabel">
      <div class="offcanvas-header">
        <h2 class="offcanvas-title" id="usersListLabel">Liste des participants</h2>
        <button type="button" class="btn-close text-reset" data-bs-dismiss="offcanvas" aria-label="Close"></button>
      </div>
      <hr>
      <section>
        <h5>Pseudo : <span id="uniqueUser">{{uniqueUser}}</span></h5>
      </section>
      <hr>
      <div class="offcanvas-body">
        <section id="usersListZone">
          <div class="tab-content" id="myTabContent">
            <div class="tab-pane fade show active" id="users" role="tabpanel" aria-labelledby="users-tab">
              <ul *ngFor="let user of users, let i=index">
                <li>
                  <ion-icon name="caret-forward-outline"></ion-icon>{{user.user_pseudo}}<a>
                  </a>
                </li>
              </ul>
            </div>
          </div>
        </section>
        <ul class="nav nav-tabs" id="myTab" role="tablist">
          <li class="nav-item" role="presentation">
            <button class="nav-link active" id="users-tab" data-bs-toggle="tab" data-bs-target="#users" type="button"
              role="tab" aria-controls="users" aria-selected="true">Participants</button>
          </li>
        </ul>
      </div>
    </div>
  </section>

  <!-- Modal qui affiche le chat (checked) + la liste des participants -->
  <!--<section>
    <div class="offcanvas offcanvas-start" tabindex="-1" id="chat" aria-labelledby="chatLabel">
      <div class="offcanvas-header">
        <h5 class="offcanvas-title" id="chatLabel">Tchat</h5>
        <button type="button" class="btn-close text-reset" data-bs-dismiss="offcanvas" aria-label="Close"></button>
      </div>
      <hr>
      <div class="offcanvas-body">
        <section>
          <div id="msgDialogZone"></div>
          <div id="sendMsgZone">
            <textarea type="text" placeholder="Ecrire votre message"></textarea>
            <button>Envoyer</button>
          </div>
        </section>
      </div>
    </div>
  </section>-->

  <!-- Modal qui affiche les infos sur la problématique et explique le but du brainstorming -->
  <section class="modal-dialog modal-dialog-centered">
    <div class="modal fade" id="problematicModal" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
      aria-labelledby="staticBackdropLabel" aria-hidden="true">
      <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="staticBackdropLabel">Quelques explications</h5>
            <hr>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
          </div>
          <div class="modal-body">

            <!-- Zone de présentation -->
            <div id="problematiqueZone">
              <div id="tableProblematique">
                <div id="titleProblematique">
                  <h2>Quel est le but de ce brainstorming ?</h2>
                </div>
                <div id="divTableProblematique">
                  <div id="objectif">
                    <h5>Objectif</h5>
                    <p>Sélectionner rapidement les idées du groupe faisant consensus dans l'optique de prendre une
                      décision adaptée à l’équipe.</p>
                  </div>
                  <div id="contexte">
                    <h5>Contexte</h5>
                    <ul>
                      <li>Proposer vos idées/propositions audacieuses suivies d’une description de la première
                        action/étape à mettre en place.</li>
                      <li>Évaluer les idées des autres participants qui apparaissent de manière aléatoire à la fin de
                        chaque session de réflexion.</li>
                      <li>Prendre une décision en fonction des résultats obtenus à la suite du brainstorming.</li>
                    </ul>
                  </div>
                </div>
              </div>
            </div>

          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-primary" data-bs-dismiss="modal">OK</button>
          </div>
        </div>
      </div>
    </div>
  </section>

  <!-- Modal qui affiche les infos sur le déroulement du brainstorming problématique -->
  <section class="modal-dialog modal-dialog-centered">
    <div class="modal fade" id="brainstormingModal" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
      aria-labelledby="staticBackdropLabel" aria-hidden="true">
      <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="staticBackdropLabel">Déroulement du brainstorming</h5>
            <hr>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
          </div>
          <div class="modal-body">

            <!-- Zone pour présenter le contenu de la page -->
            <div id="instructionsZone">
              <div id="etapes_consignes">
                <h2>Brainstorm, let’s go !</h2>
                <hr>

                <h5>Étape 1 : Écrire son idée</h5>
                <p>Chaque participant écrit sur une fiche son idée audacieuse et sa première étape.</p>

                <h5>Étape 2 : Formation de binômes</h5>
                <p>Les participants sont automatiquement assemblés par paire pour partager leurs vues sur la fiche qui
                  leur est présentée.</p>

                <h5>Étape 3 : Notation de l’idée</h5>
                <p>Chaque participant évalue individuellement l’idée présente sur la fiche avec un score de 1 à 5 (1
                  pour bas et 5 pour haut).</p>

                <h5>Étape 4 : Répétition des étapes précédentes</h5>
                <p>Au signal, les participants se consultent de nouveau en paire et donnent un score à la nouvelle idée
                  qui est apparue.<br>
                  Ce cycle est effectué cinq fois au total.</p>

                <h5>Étape 5 : Présentation des idées ayant les scores les plus élevés</h5>
                <p>À la fin du cinquième cycle, les scores inscrits sur la dernière fiche sont automatiquement
                  additionnés.<br>
                  Les dix idées ayant recueillies les scores les plus élevés sont partagées avec tout le groupe.</p>
              </div>
            </div>

          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-primary" data-bs-dismiss="modal">OK</button>
          </div>
        </div>
      </div>
    </div>
  </section>
</section>
